
#ifndef _JQAMINTERFACE_HPP
#define	_JQAMINTERFACE_HPP

#include "Definitions.h"

class JMPXInterface {
public:
    virtual void Active(bool Enabled)=0;

    virtual bool IsActive()=0;

    virtual void SetSoundCard(unsigned int device)=0;
    virtual void SetSampleRate(int sampleRate)=0;
    virtual void SetBufferFrames(int bufferFrames)=0;

    virtual SDevices* GetDevices(void)=0;

    virtual ~JMPXInterface(){}

    virtual void EnableStereo(bool enable)=0;

    virtual void SetPreEmphasis(TimeConstant timeconst)=0;

    virtual TSigStats* GetSignalStats()=0;

    virtual bool GotError()=0;
    virtual const char* GetLastRTAudioError()=0;


private:

};

// the types of the class factories
typedef JMPXInterface* create_t();
typedef void destroy_t(JMPXInterface*);

#endif	/* _JQAMINTERFACE_HPP */

